corda / net.corda.core.contracts / DummyContract / SingleOwnerState

# SingleOwnerState

`data class SingleOwnerState : OwnableState, State`

### Constructors

<init> | `SingleOwnerState(magicNumber: Int = 0, owner: CompositeKey)`

### Properties

contract | `val contract: DummyContract` An instance of the contract class that will verify this state.
magicNumber | `val magicNumber: Int`
owner | `val owner: CompositeKey` There must be a MoveCommand signed by this key to claim the amount
participants | `val participants: List<CompositeKey>` A participant is any party that is able to consume this state in a valid transaction.

### Functions

withNewOwner | `fun withNewOwner(newOwner: CompositeKey): Pair<Move, SingleOwnerState>` Copies the underlying data structure, replacing the owner field with this new value and leaving the rest alone